#ifndef _REALNUMBER_HPP_
#define _REALNUMBER_HPP_

class RealNumber {
public:
	double d;
	RealNumber(){
		d = 0;
	}
	RealNumber(int n){
		d = n;
	}
	RealNumber(double dd){
		d = dd;
	}
	RealNumber operator+(const RealNumber &rn){
		RealNumber r(d+rn.d);
		return r;
	}
	RealNumber operator-(const RealNumber &rn){
		RealNumber r(d-rn.d);
		return r;
	}
	RealNumber operator*(const RealNumber &rn){
		RealNumber r(d*rn.d);
		return r;
	}
	RealNumber operator/(const RealNumber &rn){
		RealNumber r(d/rn.d);
		return r;
	}
	RealNumber operator-(){
		RealNumber r(-d);
		return r;
	}
	friend ostream &operator<<(ostream &stream, RealNumber rn){
		stream << rn.d;
		return stream;
	}
	bool isZero() { return d==0; }
	double doubleValue() {return d; }
};
#endif
